Skip to content

DebtRatio⁠

Perform various operations for Symitar parameters.

Operations⁠

getDebtRatioSelectFields⁠

POST

Execute the persistent ParameterService getDebtRatioSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DebtRatioTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDebtRatioSelectFields
POST /nexum/627/persistent/parameter/getDebtRatioSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "DebtRatioType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllDebtRatioFields": true,
    "DebtRatioFields": {
      "FieldNo": [
        0
      ],
      "FieldUse": [
        0
      ],
      "PayFactor": true,
      "PayUseCode": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDebtRatioPagedListSelectFields⁠

POST

Execute the persistent ParameterService getDebtRatioPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDebtRatioPagedListSelectFields
POST /nexum/627/persistent/parameter/getDebtRatioPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDebtRatioFields": true,
    "DebtRatioFields": {
      "FieldNo": [
        0
      ],
      "FieldUse": [
        0
      ],
      "PayFactor": true,
      "PayUseCode": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDebtRatioPagedSelectFields⁠

POST

Execute the persistent ParameterService searchDebtRatioPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchDebtRatioPagedSelectFields
POST /nexum/627/persistent/parameter/searchDebtRatioPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDebtRatioFields": true,
    "DebtRatioFields": {
      "FieldNo": [
        0
      ],
      "FieldUse": [
        0
      ],
      "PayFactor": true,
      "PayUseCode": true,
      "Type": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateDebtRatioByID⁠

POST

Execute the persistent ParameterService updateDebtRatioByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DebtRatioTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateDebtRatioByID
POST /nexum/627/persistent/parameter/updateDebtRatioByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "DebtRatioType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "DebtRatioFields": {
    "FieldNo": [
      {
        "EntryId": 0,
        "FieldNo": 0
      }
    ],
    "FieldUse": [
      {
        "EntryId": 0,
        "FieldUse": 0
      }
    ],
    "PayFactor": 0,
    "PayUseCode": 0,
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}